# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies
#
# If you believe there's an error in this file please file an
# issue against the rust-lang/cargo repository. If you're
# editing this file be aware that the upstream Cargo.toml
# will likely look very different (and much more reasonable)

[package]
edition = "2018"
name = "rphtml"
version = "0.5.2"
authors = ["jxz_211 <jxz_211@163.com>"]
exclude = ["node/**/*.*", "cases/**/*.*", "build.sh", "codecov.yml", ".travis.yml"]
description = "A html parser written in rust."
readme = "README.md"
keywords = ["html", "parser", "html-parser", "html-minify"]
categories = ["parser-implementations", "wasm"]
license = "MIT"
repository = "https://github.com/fefit/rphtml"
[profile.release]
debug = true

[lib]
name = "rphtml"
crate-type = ["cdylib", "rlib"]
path = "src/lib.rs"

[[bench]]
name = "benchmark"
harness = false
[dependencies.htmlentity]
version = "1.2.0"

[dependencies.lazy_static]
version = "1.4.0"

[dependencies.thiserror]
version = "1.0.21"
[dev-dependencies.criterion]
version = "0.3"

[dev-dependencies.wasm-bindgen-test]
version = "0.3.18"
